function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function slugGenerate(heading) {
  return heading.split(" ").join("-").toLowerCase();
}

function getToc(obj) {
  const toc = {};
  let currentHeading = "";
  obj.content.forEach(({
    paragraph
  }) => {
    const {
      elements,
      paragraphStyle
    } = paragraph;
    const {
      indentStart
    } = paragraphStyle;
    const text = elements[0].textRun.content;
    const headingId = elements[0].textRun.textStyle.link && elements[0].textRun.textStyle.link.headingId;
    let slug = slugGenerate(text);

    if (indentStart && indentStart.magnitude === undefined) {
      currentHeading = text;
      toc[text] = {
        headingId,
        slug,
        items: []
      };
    } else if (indentStart && indentStart.magnitude === 18 && toc[currentHeading]) {
      toc[currentHeading].items.push({
        text,
        headingId,
        slug
      });
    }
  });
  return Object.keys(toc).map(title => {
    return _objectSpread({
      title
    }, toc[title]);
  });
}

module.exports = {
  getToc,
  slugGenerate
};